 #include <stdio.h>
 #include <windows.h>
 #include "pt_ioctl.c"
/*******************************************/
/* 25 pin D-SUB FEMALE connector at the PC
/*    -----------------------------
/* 13 \ x x x x x x x x x x x x x / 1
/*  25 \ x x x x x x x x x x x x / 14
/*       -----------------------
/*
/*   Parallel (PC) connector
/*  --------------------------
/*  pin 1       --->  /STROBE
/*  pin 2...9   --->   D0 - D7
/*  pin 10     <---   /ACK
/*  pin 11     <---    BUSY
/*  pin 12     <---    PE
/*  pin 13     <---    SEL
/*  pin 14      --->  /AUTOFD
/*  pin 15     <---   /ERROR
/*  pin 16      --->  /INIT
/*  pin 17      --->  /SELIN
/*  pin 18...25 ---    GND
/***************************************/
 int main(int argc, char *argv[])
 {
  unsigned char value;
    printf("IoExample for LPT1 \n");
    OpenPortTalk();
    outportb(0x378, 0xFF);
    value = inportb(0x378);
    printf("Value returned = 0x%02X \n",value);
    outp(0x378, 0xAA);
    value = inp(0x378);
    printf("Value returned = 0x%02X \n",value);
    ClosePortTalk();
    getchar();
    return 0;
 }
 

